# Restore

Status endpoints for requested restores.

This tag groups all operations for restore.

## Retrieve all Restore

> This endpoint enables retrieving all Restore using\
> pagination and optional filters.<br>

```json
{"openapi":"3.0.3","info":{"title":"In-Memory DB API","version":"1.0.0"},"tags":[{"name":"Restore","description":"Status endpoints for requested restores.\n\nThis tag groups all operations for restore.\n"}],"servers":[{"url":"https://in-memory-db.de-fra.ionos.com","description":"service endpoint for location de-fra"},{"url":"https://in-memory-db.de-txl.ionos.com","description":"service endpoint for location de-txl"},{"url":"https://in-memory-db.es-vit.ionos.com","description":"service endpoint for location es-vit"},{"url":"https://in-memory-db.gb-bhx.ionos.com","description":"service endpoint for location gb-bhx"},{"url":"https://in-memory-db.gb-lhr.ionos.com","description":"service endpoint for location gb-lhr"},{"url":"https://in-memory-db.us-ewr.ionos.com","description":"service endpoint for location us-ewr"},{"url":"https://in-memory-db.us-las.ionos.com","description":"service endpoint for location us-las"},{"url":"https://in-memory-db.us-mci.ionos.com","description":"service endpoint for location us-mci"},{"url":"https://in-memory-db.fr-par.ionos.com","description":"service endpoint for location fr-par"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"parameters":{"paginationOffset":{"name":"offset","in":"query","description":"The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.","required":false,"schema":{"type":"integer","format":"int32","default":0,"minimum":0}},"paginationLimit":{"name":"limit","in":"query","description":"The maximum number of elements to return. Use this parameter together with the offset for pagination.","required":false,"schema":{"type":"integer","format":"int32","default":100,"minimum":1,"maximum":1000}},"displayNameQuery":{"name":"filter.name","in":"query","description":"Response filter to list only items contain\nthe specified name. The value is case insensitive and matched on the\n'displayName' field.\n","required":false,"schema":{"type":"string"}}},"schemas":{"RestoreReadList":{"allOf":[{"type":"object","required":["id","type","href"],"properties":{"id":{"description":"ID of the list of Restore resources.","type":"string","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["collection"]},"href":{"description":"The URL of the list of Restore resources.","type":"string"},"items":{"description":"The list of Restore resources.","type":"array","items":{"$ref":"#/components/schemas/RestoreRead"}}}},{"$ref":"#/components/schemas/Pagination"}]},"RestoreRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the Restore.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["restore"]},"href":{"description":"The URL of the Restore.","type":"string"},"metadata":{"$ref":"#/components/schemas/RestoreMetadata"},"properties":{"$ref":"#/components/schemas/Restore"}}},"RestoreMetadata":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Metadata"},{"$ref":"#/components/schemas/ResourceState"},{"type":"object","properties":{"restoreTime":{"type":"string","format":"date-time","description":"The time the snapshot was dumped from the replica set."},"restoredSnapshotId":{"type":"string","format":"uuid","description":"The ID of the snapshot that was restored."}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"ResourceState":{"type":"object","description":"The current status of the resource.","required":["state"],"properties":{"state":{"type":"string","enum":["AVAILABLE","BUSY","FAILED","UNKNOWN"]},"message":{"type":"string","description":"A human readable message describing the current state.\nIn case of an error, the message will contain a detailed error message.\n"}}},"Restore":{"type":"object","description":"A point in time snapshot of a In-Memory DB replica set.\n","required":["replicasetId"],"properties":{"replicasetId":{"type":"string","format":"uuid","description":"The ID of the replica set the restore was applied on."},"displayName":{"type":"string","description":"The human readable name of your snapshot."},"description":{"type":"string","description":"A description of the snapshot."}}},"Pagination":{"required":["offset","limit","_links"],"description":"Pagination information. The offset and limit parameters are used to\nnavigate the list of elements. The _links object contains URLs to\nnavigate the different pages.\n","type":"object","properties":{"offset":{"$ref":"#/components/schemas/Offset"},"limit":{"$ref":"#/components/schemas/Limit"},"_links":{"$ref":"#/components/schemas/Links"}}},"Offset":{"description":"The offset specified in the request (if none was specified, the default\noffset is 0).\n","type":"integer","minimum":0,"readOnly":true},"Limit":{"description":"The limit specified in the request (if none was specified, use the\nendpoint's default pagination limit).\n","type":"integer","minimum":0,"readOnly":true},"Links":{"description":"URLs to navigate the different pages. As of now we always only return a\nsingle page.\n","type":"object","properties":{"prev":{"description":"URL (with offset and limit parameters) of the previous page; only\npresent if offset is greater than 0.\n","type":"string","format":"uri","readOnly":true},"self":{"description":"URL (with offset and limit parameters) of the current page.\n","type":"string","format":"uri","readOnly":true},"next":{"description":"URL (with offset and limit parameters) of the next page; only\npresent if offset + limit is less than the total number of elements.\n","type":"string","format":"uri","readOnly":true}}},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/snapshots/{snapshotId}/restores":{"get":{"operationId":"snapshotsRestoresGet","summary":"Retrieve all Restore","description":"This endpoint enables retrieving all Restore using\npagination and optional filters.\n","parameters":[{"name":"snapshotId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the Snapshot."},{"$ref":"#/components/parameters/paginationOffset"},{"$ref":"#/components/parameters/paginationLimit"},{"$ref":"#/components/parameters/displayNameQuery"}],"tags":["Restore"],"responses":{"200":{"description":"Returned all requested Restore successfully.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreReadList"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```

## Create Restore

> Creates a new Restore.\
> \
> The full Restore needs to be provided to create the object.\
> Optional data will be filled with defaults or left empty.<br>

```json
{"openapi":"3.0.3","info":{"title":"In-Memory DB API","version":"1.0.0"},"tags":[{"name":"Restore","description":"Status endpoints for requested restores.\n\nThis tag groups all operations for restore.\n"}],"servers":[{"url":"https://in-memory-db.de-fra.ionos.com","description":"service endpoint for location de-fra"},{"url":"https://in-memory-db.de-txl.ionos.com","description":"service endpoint for location de-txl"},{"url":"https://in-memory-db.es-vit.ionos.com","description":"service endpoint for location es-vit"},{"url":"https://in-memory-db.gb-bhx.ionos.com","description":"service endpoint for location gb-bhx"},{"url":"https://in-memory-db.gb-lhr.ionos.com","description":"service endpoint for location gb-lhr"},{"url":"https://in-memory-db.us-ewr.ionos.com","description":"service endpoint for location us-ewr"},{"url":"https://in-memory-db.us-las.ionos.com","description":"service endpoint for location us-las"},{"url":"https://in-memory-db.us-mci.ionos.com","description":"service endpoint for location us-mci"},{"url":"https://in-memory-db.fr-par.ionos.com","description":"service endpoint for location fr-par"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"RestoreCreate":{"type":"object","required":["properties"],"properties":{"metadata":{"description":"Metadata","additionalProperties":true},"properties":{"$ref":"#/components/schemas/Restore"}}},"Restore":{"type":"object","description":"A point in time snapshot of a In-Memory DB replica set.\n","required":["replicasetId"],"properties":{"replicasetId":{"type":"string","format":"uuid","description":"The ID of the replica set the restore was applied on."},"displayName":{"type":"string","description":"The human readable name of your snapshot."},"description":{"type":"string","description":"A description of the snapshot."}}},"RestoreRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the Restore.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["restore"]},"href":{"description":"The URL of the Restore.","type":"string"},"metadata":{"$ref":"#/components/schemas/RestoreMetadata"},"properties":{"$ref":"#/components/schemas/Restore"}}},"RestoreMetadata":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Metadata"},{"$ref":"#/components/schemas/ResourceState"},{"type":"object","properties":{"restoreTime":{"type":"string","format":"date-time","description":"The time the snapshot was dumped from the replica set."},"restoredSnapshotId":{"type":"string","format":"uuid","description":"The ID of the snapshot that was restored."}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"ResourceState":{"type":"object","description":"The current status of the resource.","required":["state"],"properties":{"state":{"type":"string","enum":["AVAILABLE","BUSY","FAILED","UNKNOWN"]},"message":{"type":"string","description":"A human readable message describing the current state.\nIn case of an error, the message will contain a detailed error message.\n"}}},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnsupportedMediaType":{"description":"### Unsupported Media Type\nThe request has an unsupported media type.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnprocessableEntity":{"description":"### Unprocessable Entity\nThe request was well-formed but was unable to be followed due to semantic errors.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/snapshots/{snapshotId}/restores":{"post":{"operationId":"snapshotsRestoresPost","summary":"Create Restore","tags":["Restore"],"description":"Creates a new Restore.\n\nThe full Restore needs to be provided to create the object.\nOptional data will be filled with defaults or left empty.\n","parameters":[{"name":"snapshotId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the Snapshot."}],"requestBody":{"description":"Restore to create.","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreCreate"}}}},"responses":{"201":{"description":"Restore successfully created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"415":{"$ref":"#/components/responses/UnsupportedMediaType"},"422":{"$ref":"#/components/responses/UnprocessableEntity"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```

## Retrieve Restore

> Returns the Restore by ID.

```json
{"openapi":"3.0.3","info":{"title":"In-Memory DB API","version":"1.0.0"},"tags":[{"name":"Restore","description":"Status endpoints for requested restores.\n\nThis tag groups all operations for restore.\n"}],"servers":[{"url":"https://in-memory-db.de-fra.ionos.com","description":"service endpoint for location de-fra"},{"url":"https://in-memory-db.de-txl.ionos.com","description":"service endpoint for location de-txl"},{"url":"https://in-memory-db.es-vit.ionos.com","description":"service endpoint for location es-vit"},{"url":"https://in-memory-db.gb-bhx.ionos.com","description":"service endpoint for location gb-bhx"},{"url":"https://in-memory-db.gb-lhr.ionos.com","description":"service endpoint for location gb-lhr"},{"url":"https://in-memory-db.us-ewr.ionos.com","description":"service endpoint for location us-ewr"},{"url":"https://in-memory-db.us-las.ionos.com","description":"service endpoint for location us-las"},{"url":"https://in-memory-db.us-mci.ionos.com","description":"service endpoint for location us-mci"},{"url":"https://in-memory-db.fr-par.ionos.com","description":"service endpoint for location fr-par"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"RestoreRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the Restore.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["restore"]},"href":{"description":"The URL of the Restore.","type":"string"},"metadata":{"$ref":"#/components/schemas/RestoreMetadata"},"properties":{"$ref":"#/components/schemas/Restore"}}},"RestoreMetadata":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Metadata"},{"$ref":"#/components/schemas/ResourceState"},{"type":"object","properties":{"restoreTime":{"type":"string","format":"date-time","description":"The time the snapshot was dumped from the replica set."},"restoredSnapshotId":{"type":"string","format":"uuid","description":"The ID of the snapshot that was restored."}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"ResourceState":{"type":"object","description":"The current status of the resource.","required":["state"],"properties":{"state":{"type":"string","enum":["AVAILABLE","BUSY","FAILED","UNKNOWN"]},"message":{"type":"string","description":"A human readable message describing the current state.\nIn case of an error, the message will contain a detailed error message.\n"}}},"Restore":{"type":"object","description":"A point in time snapshot of a In-Memory DB replica set.\n","required":["replicasetId"],"properties":{"replicasetId":{"type":"string","format":"uuid","description":"The ID of the replica set the restore was applied on."},"displayName":{"type":"string","description":"The human readable name of your snapshot."},"description":{"type":"string","description":"A description of the snapshot."}}},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/snapshots/{snapshotId}/restores/{restoreId}":{"get":{"operationId":"snapshotsRestoresFindById","summary":"Retrieve Restore","tags":["Restore"],"description":"Returns the Restore by ID.","parameters":[{"name":"snapshotId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the Snapshot."},{"name":"restoreId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the Restore."}],"responses":{"200":{"description":"Getting Restore was successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestoreRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```
